Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceLogs, drains and alerts

Update an alert destination

PUT
/v1/alerts/destinations/{id}

Rename, pause or resume, change the minimum severity or settings, or replace the secret.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^dst_[a-z0-9]{8,32}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/alerts/destinations/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "alert_destination",  "id": "string",  "type": "email",  "name": "string",  "enabled": true,  "min_severity": "info",  "notify_on_resolve": true,  "config": {    "type": "email",    "recipients": [      "user@example.com"    ],    "digest": "immediate"  },  "secret_hint": "string",  "health": {    "status": "idle",    "deliveries": 0,    "failures": 0,    "consecutive_failures": 0,    "last_delivery_at": "2019-08-24T14:15:22Z",    "last_success_at": "2019-08-24T14:15:22Z",    "last_failure_at": "2019-08-24T14:15:22Z",    "last_error": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}